/[suikacvs]/test/suikawebwww/style/ui/toc-style-float.css
Suika

Contents of /test/suikawebwww/style/ui/toc-style-float.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.2 - (hide annotations) (download) (as text)
Mon Jul 25 10:58:26 2005 UTC (20 years, 11 months ago) by wakaba
Branch: MAIN
CVS Tags: HEAD
Changes since 1.1: +32 -20 lines
File MIME type: text/css
New namespace for XHTML 2 supported

1 wakaba 1.1 @namespace toc 'http://suika.fam.cx/~wakaba/archive/2005/3/toc#';
2     @namespace h1 'http://www.w3.org/1999/xhtml';
3     @namespace h2 'http://www.w3.org/2002/06/xhtml2';
4 wakaba 1.2 @namespace h2005 'http://www.w3.org/2002/06/xhtml2/';
5 wakaba 1.1
6     h1|div[toc|toc] {
7     display: block;
8     position: fixed;
9     right: 1em;
10     top: 1em;
11     width: 15em;
12     max-height: 20em;
13     overflow: auto;
14     border: gray outset 1px;
15     -moz-border-radius: 1em;
16     color: InfoText;
17     background-color: InfoBackground;
18     opacity: 0.3;
19     font-size: 80%;
20     line-height: 1.1;
21     z-index: 10000;
22     -moz-binding: url(http://suika.fam.cx/www/style/ui/drag.xbl#simple-drag);
23     }
24    
25     h1|div[toc|toc]:hover {
26     opacity: 1.0;
27     }
28    
29     h1|div[toc|toc].DRAGABLE {
30     cursor: move;
31     }
32    
33 wakaba 1.2 h1|div[toc|toc] h2|h,
34     h1|div[toc|toc] h2005|h {
35 wakaba 1.1 display: block;
36     margin: 0.2em 2em;
37     font-size: 120%;
38     font-weight: bolder;
39     line-height: 1.2;
40     text-align: center;
41     }
42    
43 wakaba 1.2 h1|div[toc|toc] h2|nl,
44     h1|div[toc|toc] h2005|nl {
45 wakaba 1.1 display: block;
46     margin: 0;
47     padding: 0;
48     }
49    
50 wakaba 1.2 h1|div[toc|toc] > h2|nl,
51     h1|div[toc|toc] > h2005|nl {
52 wakaba 1.1 margin: 0.2em;
53     }
54    
55 wakaba 1.2 h1|div[toc|toc] h2|li,
56     h1|div[toc|toc] h2005|li {
57 wakaba 1.1 display: block;
58     margin: 0 0 0 2em;
59     padding: 2px;
60     }
61    
62 wakaba 1.2 h1|div[toc|toc] h2|li[toc|element-type="h2"],
63     h1|div[toc|toc] h2005|li[toc|element-type="h2"] {
64 wakaba 1.1 margin-left: 4em;
65     }
66 wakaba 1.2 h1|div[toc|toc] h2|li[toc|element-type="h3"],
67     h1|div[toc|toc] h2005|li[toc|element-type="h3"] {
68 wakaba 1.1 margin-left: 6em;
69     }
70 wakaba 1.2 h1|div[toc|toc] h2|li[toc|element-type="h4"],
71     h1|div[toc|toc] h2005|li[toc|element-type="h4"] {
72 wakaba 1.1 margin-left: 8em;
73     }
74 wakaba 1.2 h1|div[toc|toc] h2|li[toc|element-type="h5"],
75     h1|div[toc|toc] h2005|li[toc|element-type="h5"] {
76 wakaba 1.1 margin-left: 10em;
77     }
78 wakaba 1.2 h1|div[toc|toc] h2|li[toc|element-type="h6"],
79     h1|div[toc|toc] h2005|li[toc|element-type="h6"] {
80 wakaba 1.1 margin-left: 12em;
81     }
82    
83 wakaba 1.2 h1|div[toc|toc] h2|label,
84     h1|div[toc|toc] h2005|label {
85 wakaba 1.1 display: block;
86     margin: 0;
87     padding: 2px;
88     font-weight: normal;
89     text-decoration: none;
90     }
91    
92 wakaba 1.2 h1|div[toc|toc] h2|*[href],
93     h1|div[toc|toc] h2005|*[href] {
94     border-style: none;
95 wakaba 1.1 color: inherit;
96     background-color: transparent;
97     cursor: pointer;
98     text-decoration: none !important;
99     -moz-binding: url(http://suika.fam.cx/www/style/html/xhtml2-translate.xbl#href);
100     }
101    
102 wakaba 1.2 h1|div[toc|toc] h2|*[href]:hover,
103     h1|div[toc|toc] h2005|*[href]:hover {
104     border-style: none;
105     -moz-outline: solid 1px blue;
106     outline: solid 1px blue;
107 wakaba 1.1 color: inherit;
108     background-color: transparent;
109     }
110    
111 wakaba 1.2 h1|div[toc|toc] h2|*[href]:active,
112     h1|div[toc|toc] h2005|*[href]:active {
113 wakaba 1.1 color: -moz-activehyperlinktext;
114     }
115    
116 wakaba 1.2 /* Revision: $Date: 2005/03/08 11:01:26 $ */
117 wakaba 1.1
118     /* ***** BEGIN LICENSE BLOCK *****
119     * Version: MPL 1.1/GPL 2.0/LGPL 2.1
120     *
121     * The contents of this file are subject to the Mozilla Public License Version
122     * 1.1 (the "License"); you may not use this file except in compliance with
123     * the License. You may obtain a copy of the License at
124     * <http://www.mozilla.org/MPL/>
125     *
126     * Software distributed under the License is distributed on an "AS IS" basis,
127     * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
128     * for the specific language governing rights and limitations under the
129     * License.
130     *
131     * The Original Code is toc.xbl code.
132     *
133     * The Initial Developer of the Original Code is
134     * Wakaba <[email protected]>.
135     * Portions created by the Initial Developer are Copyright (C) 2005
136     * the Initial Developer. All Rights Reserved.
137     *
138     * Contributor(s):
139     * Wakaba <[email protected]>
140     *
141     * Alternatively, the contents of this file may be used under the terms of
142     * either the GNU General Public License Version 2 or later (the "GPL"), or
143     * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
144     * in which case the provisions of the GPL or the LGPL are applicable instead
145     * of those above. If you wish to allow use of your version of this file only
146     * under the terms of either the GPL or the LGPL, and not to allow others to
147     * use your version of this file under the terms of the MPL, indicate your
148     * decision by deleting the provisions above and replace them with the notice
149     * and other provisions required by the GPL or the LGPL. If you do not delete
150     * the provisions above, a recipient may use your version of this file under
151     * the terms of any one of the MPL, the GPL or the LGPL.
152     *
153     * ***** END LICENSE BLOCK ***** */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24